| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
IDKeyReplaceJobDescProv Class Reference
MMProc

KeyReplaceJobDescProv where the values taken from a range of IDs. More...

`#include <jobdescprov.h>`

Inheritance diagram for IDKeyReplaceJobDescProv:
[legend]

## Public Member Functions
| IDKeyReplaceJobDescProv (const IOPar &, const char *ky, const StepInterval< int > &idrg)
| IOPar, key and bufstringset will be copied.
| ~IDKeyReplaceJobDescProv ()
void | dump (od_ostream &) const override
Public Member Functions inherited from KeyReplaceJobDescProv
| KeyReplaceJobDescProv (const IOPar &, const char *key, int nrjobs)
| ~KeyReplaceJobDescProv ()
void | dump (od_ostream &) const override
void | getJob (int, IOPar &) const override
int | nrJobs () const override
const char * | objName (int) const override
const char * | objType () const override
Public Member Functions inherited from JobDescProv
virtual | ~JobDescProv ()
const IOPar & | pars () const

## Protected Member Functions
const char * | gtObjName (int) const override
Protected Member Functions inherited from JobDescProv
| JobDescProv (const IOPar &)

## Protected Attributes
const StepInterval< int > | idrg_
Protected Attributes inherited from KeyReplaceJobDescProv
BufferString | key_
const int | nrjobs_
Protected Attributes inherited from JobDescProv
IOPar & | inpiopar_
BufferString | objnm_

## Additional Inherited Members
Public Attributes inherited from KeyReplaceJobDescProv
BufferString | objtyp_

## Detailed Description

KeyReplaceJobDescProv where the values taken from a range of IDs.

<>

## Constructor & Destructor Documentation

## ◆ IDKeyReplaceJobDescProv()

IDKeyReplaceJobDescProv::IDKeyReplaceJobDescProv | ( | const IOPar & | ,
|  | const char * | ky,
|  | const StepInterval< int > & | idrg )

IOPar, key and bufstringset will be copied.

## ◆ ~IDKeyReplaceJobDescProv()

IDKeyReplaceJobDescProv::~IDKeyReplaceJobDescProv | ( |  | ) |

## Member Function Documentation

## ◆ dump()

void IDKeyReplaceJobDescProv::dump | ( | od_ostream & |  | ) | const
| override virtual

Implements JobDescProv.

## ◆ gtObjName()

const char * IDKeyReplaceJobDescProv::gtObjName | ( | int |  | ) | const
| override protected virtual

Implements KeyReplaceJobDescProv.

## Member Data Documentation

## ◆ idrg_

const StepInterval<int> IDKeyReplaceJobDescProv::idrg_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025